<template>
	<div class="d-flex flex-column align-items-center">
		<h3 class="my-5">Twój psychologiczny autoportret</h3>
		<div class="row">
			<div class="col-12 col-md-8 col-lg-6 mx-auto">
				<p class="mt-4 mb-5">
					<h5>Typ Dramatyczny: 75% <small class="text-secondary float-right"><span class="letter">C</span> na wykresie</small></h5>
					<p>
						Consectetur adipisicing elit, sed do eiusmod
						tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
						quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
						consequat. Duis aute irure dolor in. Excepteur sint occaecat cupidatat non
						proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</p>
				<p class="mt-4 mb-5">
					<h5>Typ Zmienny: 70%  <small class="text-secondary float-right"><span class="letter">F</span> na wykresie</small></h5>
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
						tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
						quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
						consequat. Duis aute irure dolor in reprehenderit.
					</p>
				</p>
				<p class="mt-4 mb-5">
					<h5>Typ Awanturniczy: 69%  <small class="text-secondary float-right"><span class="letter">G</span> na wykresie</small></h5>
					<p>
						Et dolore magna aliqua. Ut enim ad minim veniam,
						quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
						consequat. Duis in voluptate velit esse
						cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
						proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</p>
				<p class="mt-4 mb-5">
					<h5>Typ Nie-zwyczajny: 60%  <small class="text-secondary float-right"><span class="letter">A</span> na wykresie</small></h5>
					<p>
						Ut enim ad minim veniam, quis nostrud exercitation iquip ex ea commodo
						consequat. Duis in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
						proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</p>
				<p class="mt-4 mb-5">
					<h5>Typ Ofiarny: 60%  <small class="text-secondary float-right"><span class="letter">J</span> na wykresie</small></h5>
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
						tempor incididunt ut. Duis aute irure dolor in reprehenderit in voluptate velit esse
						cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
						proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</p>
				<p class="mt-4 mb-5">
					<h5>Typ Zajebisty: 100%</h5>
					<p>
						Jesteś zajebisty.
					</p>
				</p>
			</div>
		</div>




<!-- 		<p class="my-5" v-for="result in results">
			{{ result.personalityType }}: {{ format(result.score) }}
		</p> -->
	</div>
</template>

<script>
	import Answer from 'root/clases/Answer.js';

	export default {
		props: ['answers'],

		data() {
			return {
				results: []
			}
		},

		mounted() {
			this.prepareData();
		},

		methods: {
			prepareData() {
				this.results = Answer.calcResultsForSummary(this.answers);
			},

			format(value) {
				return isNaN(value) ? value : value.toFixed(0) + '%';
			}
		}
	}
	
</script>

<style scoped>
	p {
		text-indent: 3rem;
	}

	h5 {
		margin-bottom: 1.5rem;
		font-weight: bold;
	}

	.letter {
		font-family: 'Inconsolata', monospace;
		font-weight: bold;
	}
</style>